variables:
  GIT_CLONE_PATH: $SCRATCHDIR/abs/$CI_CONCURRENT_PROJECT_ID

stages:
    - download
    - compile
    - run-small
    - run

.runner: &runner
    tags:
        - alfred, occigen

.variables: &smilei
    <<: *runner
    variables: 
        APP_NAME: "SMILEI" 

.download-app: &download-app
    stage: download
    script:
        - cd ${APP_NAME}
        - ./download.sh

#GLOBAL WORKFLOW

dl-smilei:
    <<: *smilei
    <<: *download-app
 



